Tiquo
Integrations OverviewAirtableAsanaSlackGoogle AnalyticsMetabaseMixpanelPendoSegmentTableau (PAT)ActiveCampaignBrevoEmarsys Core API (WSSE)EventbriteFacebookGoogle AdsHighLevelInstagramKlaviyoMailchimpMailgunMicrosoft AdsSendGridTwitter (v2)HubSpotNotionAcuity SchedulingAirtable (Personal Access Token)BasecampCal.com (v2)CalendlyClickUpCodaConfluence Data CenterExpensifyGoogle CalendarGoogle SheetHarvestLinearMicrosoft Power BIMicrosoft TeamsMindbodyMondayOpenAIPerplexityPingboardPivotal TrackerProductboardQuickbaseServiceM8ServiceNowTeamworkTickTickTimelyTodoistTrafftTrelloWrikefal.aixAIZendeskIntercomAircall (OAuth)DixaFreshDeskFreshserviceFrontPlainRingCentralZoho DeskBrazeDialpadGoogleMicrosoftOutlookPodiumSednaSharePoint OnlineTwilioWhatsApp BusinessZoho MailBambooHRADPDeelEmployment HeroGustoHibob Service UserNamelyOracle Fusion Cloud (HCM)PaychexPayfitPaylocityPersonioRipplingSAP SuccessFactorsSage HRTSheetsUKG ProUKG ReadyWorkdayZoho PeopleQuickBooksBuildiumExact OnlineFreshBooksIntuitNetSuitePennylaneSageSage IntacctTwinfieldUnanetWave AccountingXeroZoho BooksSalesforceAffinityAttioCopperFreshsalesGainsight CCInsightlyKustomerMedalliaPipedriveTwenty CRMZoomInfoApaleoMewsMicrosoft Business CentralOdooSAP ConcurZuoraAcceloCoupa CompassZoho InvoiceAnrokAvalaraDocuSignDropbox SignPandadocSignNowLinkedInSplitwiseTikTok AdsJotformQualtricsRefinerTypeformShopifyCin7 CoreGoogle MapsRingoverListrakRydooTalentLMSApple Business ManagerCrunchbaseRocketReachOcean.ioFreepikEnergy Performance Certificates (Gov.UK)JustworksGristSAP S/4HANA Cloud3CX8x8Adobe CommerceBirdCloudbedsConstant ContactBufferCustomer.ioCrispFreeAgentGreenhouseMeta Marketing APIMollienocrm.ioOomnitzaDigitsPylonSage 200ShopwareAnvilShippoEasyPostAltrataMicrosoft PeopleMicrosoft IntuneCloudTalkGoogle FormsMaximizerMicrosoft PlannerSalesmsgSellercloudTallyTimifyUpsalesCleverReachHeymarketMailjetPleoProvenExpertTelegramToggl TrackTenzoASSA ABLOY Vingcard VisionlineASSA ABLOY Vingcard VostioASSA ABLOY TESA HotelASSA ABLOY SMARTairSalto KSSalto Space OnlineDormakabaOmnitecHotekTT LockWebLockISEOKleverKeyAperioISONASHIDSouthcoThird MillenniumSTidAxis CommunicationsBooking.comExpediaHotels.comAirbnbGoogle HotelsTripadvisorAgodaHotelbedsTravelgateXHyperguestRoibosReconlineTraviaOpenGDS.comMG BedbankDidatravelHotelREZHRSHotelnetworkGetaroomWinkBookeasyVRBOInntopiaHookusbookusHipcampSpot2niteCamping VisionMinistry of VillasTrip.comTravelokaTiketMakeMyTripHoteripKlookeDreamsSzallasEmerging Travel GroupCheck24Bed-and-Breakfast.itWorld2Meet (W2M)Ctoutvert / SecureholidayDespegarPriceTravelRoombeastMitchell CorpHRS AustraliaResonlineHostelworldHostelhopTablet MichelinMr & Mrs SmithHopperHotel TonightPitchupMoveriiLocalOTAAlaricBooknpayCultbookingGuestTractionLevartWeSpeakMake.comZapierPricelabsPricepointRategenieElastic HotelRoom Price GenieTurbosuiteUber EatsDeliverooDoorDashBolt FoodGlovo
API and AuthenticationCustomer API

Get Receipt

Retrieve a printable receipt for an authenticated customer's order

Get Receipt

Returns a printable receipt payload for an order owned by the authenticated customer.

Receipts are available for orders that have been paid, refunded, or completed. Draft and pending orders do not have receipts yet.

Endpoint

GET /receipt

Authentication

Requires a valid JWT access token.

Authorization: Bearer eyJhbGciOiJSUzI1NiJ9...

Query Parameters

ParameterTypeRequiredDescription
orderIdstringYesOrder document ID

Example Request

curl "https://edge.tiquo.app/api/client/v1/receipt?orderId=order_123" \
  -H "Authorization: Bearer eyJhbGciOiJSUzI1NiJ9..."

Response

{
  "success": true,
  "data": {
    "order": {
      "id": "order_123",
      "orderNumber": "ORD-001234",
      "status": "completed",
      "paymentStatus": "paid",
      "currency": "GBP",
      "subtotal": 80,
      "taxTotal": 16,
      "discountTotal": 0,
      "total": 96,
      "items": [],
      "createdAt": 1706576400000,
      "completedAt": 1706580000000
    },
    "business": {
      "name": "Tiquo Demo",
      "brandName": "Tiquo Demo",
      "logo": "https://example.com/logo.png",
      "primaryColor": "#111827",
      "vatNumber": "GB123456789",
      "city": "London",
      "country": "GB"
    },
    "customer": {
      "id": "cust_456",
      "customerNumber": "CUST-000001",
      "displayName": "John Smith",
      "email": "john@example.com"
    }
  }
}

The receipt payload includes order totals and items, business receipt branding and address details, and customer details so a client can render or print the receipt without another API call.

The order object can also include taxSetting, discountName, serviceChargeAmount, tipAmount, refundAmount, refundedAt, paymentMethod, cardBrand, cardLast4, and completedAt. Each line item contains id, name, quantity, unitPrice, subtotal, tax, discount, total, type, and optional specialInstructions.

The business object can include name, logo, brandName, primaryColor, vatNumber, address fields, contact fields, sublocationName, and locationName.

Errors

StatusDescription
400Missing orderId
401Invalid or expired access token
404Receipt is not available for this customer or order
500Internal server error

DOM Package

The DOM Package exposes this endpoint as getReceipt().

const receipt = await auth.getReceipt('order_123');

En esta página